Nvidia no Deepin 15.10

Alguém conseguiu instalar a nvidia no Deepin 15.10? Não estou conseguindo, da apenas a mensagem de erro…

Acho importante você compartilhar a mensagem de erro para que a gente possa entender o que deu errado, mandar imagens pode ajudar também.

O Deepin tem drivers um pouco mais antigo por conta de se basear no Debian Stable, dependendo da sua placa eles podem não ser os ideais.

Não entendo o porquê das distribuições não trazerem opção de driver nvidia já na instalação. Sei que é proprietário, mas o Manjaro, por exemplo, lhe dá a opção de carregar um ou outro já no boot. É natural que existam pessoas que tem aversão ao que é proprietário, ainda que ache um exagero, mas será que tal desenvolvimento é tão difícil assim? O próprio Netrunner que é baseado no Manjaro utiliza tal procedimento. O Kaos também possibilita isso. Gosto muito do Deepin, mas dependendo do rumo que eles irão tomar quanto a isso, não o usarei mais. Até mesmo o driver do meu adaptador wifi não funciona nele, por causa do kernel já defasado. Foi uma boa experiência, mas por enquanto vou utilizando o Kaos mesmo, que está lindo e muito funcional. Abraços.

1 Curtida

Escolhas e filosofias de trabalho Ricardo. O Deepin também lhe da a opção de instalar o driver, só que na pós instalação. O Ubuntu e o Mint permitem que você marque uma caixa para instalar drivers proprietários durante a instalação, o Manjaro tem essa opção antes de começar o instalador, o Pop OS permite que você baixe uma ISO já com o driver, cada qual tem sua solução.

O “problema” do Deepin é que eles foram por estabilidade ao invés de novidade, e nem escolheram um meio termo, foram direto no Debian Stable, e isso tem consequências positivas e negativas, dependendo do que se queira fazer.

A versão do Kernel não quer dizer que ele seja defasado, prova disso é que tem Red Hat rodando aí com Kernel 3.x.x ainda, com atualizações de segurança constantes, o mesmo vale para dispositivos Android, novamente, o problema do Deepin é a versão dos pacotes, eles usam os mesmos pacotes super estáveis do Debian, e fazer isso tem prós e contras, o que inclui os drivers.

Se você gosta do visual do Deepin, mas quer drivers mais recentes, o Manjaro Deepin ou o Fedora com Deepin podem ser melhores opções.

1 Curtida

Dio, é a mensagem de erro que aparece quando se quer usar o gerenciador de driver gráfico,.Digo isso porque já vi em um video seu que você tentou instalar uma placa de vídeo e o Deepin deu mensagem de erro, é a mesma mensagem. Consegui instalar a intel, mas não a Nvidia, em todo caso a mensagem é " download failed."Tentei várias vezes espero que não seja por conta da mudança pra Debian stable como base, porque seria um retrocesso, já que no 15.9 consegui fazer a instalação…

1 Curtida

Será que o repositório está inacessível?
Tenta pelo terminal:

sudo apt install nvidia-driver

Se não me engano é este o pacote do Debian.

1 Curtida

Entendi. Tipo: minha sogra é super antenada e atualizada, tem Instagram, Facebook, usa e abusa do WhatsApp, mas é minha sogra, né?..

Não deu, desconfio que é por causa da mudança de base mesmo, tipo se alternar entre noveau e intel dá, mas nv-prime não rola…reportei pra eles agora é aguardar, seria “O melhor dos dois mundos” base Debian stable e visual maravilhoso do Deepin

1 Curtida

Quanto à questão do kernel, concordo com você em parte, @Dio. Existem versões mais antigas com atualizações de segurança, mas sem atualizações de recursos. Como disse antes, o driver para o meu adaptador wifi encontra-se só na versão 5 do kernel. Isso não me impede de tentar instalar o driver de outra forma. Mas já que tem distros com o kernel já instalado, acho que não vale a pena o esforço. Grande abraço.

1 Curtida

Sim, mas esse driver é apenas um módulo do Kernel, possivelmente pode ser portado para versões mais antigas. O que não quer dizer que seja, claro. :slight_smile:

2 Curtidas

Eu tentei instalar o driver proprietário da NVIDIA no manjaro deepin, mas também não vai, simplesmente após reiniciar, o SO não sobe mais… Não sei se estou fazendo algo de errado, pois tenho um notebook com placa híbrida… Alguma idéia do que possa ser?

@Auder Uma dúvida, já que faz tempo que não responde:

Conseguiu instalar o driver NVidia?

Se não conseguiu, use o Driver que eu compilei. Também criei um repositório para poder compartilhar a compilação. É com base no backports do Debian Stable:

2 Curtidas

Olá, todos:
O driver nvidia do Deepin 15.10 não funciona corretamente com minha placa Geforce GT 1030. Dependendo do site que acesso, se o mesmo tiver muitas cores diferentes ou múltiplas formatações o monitor fica piscando e, dependendo do caso, fica impossível de ler o conteúdo do site. Cheguei à conclusão de que o problema é do driver pois, no Windows, o problema ocorria e foi resolvido com uma atualização para a última versão do driver nvidia.
Já tentei instalar os drivers do repositório em elpans.github.io mas não funcionou: após seguir os passos necessários recebi a mensagem de que os arquivos do computador seriam mantidos.
Alguém tem alguma sugestão para que eu possa atualizar o driver nvidia do Deepin para uma versão mais atual?

Desde já grato.

1 Curtida

Acho que o problema é que o Deepin mudou a base que era Ubuntu agora é Debian.
Instalei o Deepin 15.9 com o driver nvidia (tecnologia optimus INTEL/NVIDIA) e consegui usar a placa NVIDIA, mas o 15.10 não deu, assim como não dá pra usar a tecnologia optimus no Debian também, só se for com o bumblebee.

Olha, como o Deepin usa base Debian, vc pode procurar de como ativar o recurso no mesmo, talvez funcione. Mas no caso, recomendo um Ubuntu, Mint ou Pop!_OS para ser mais tranquilo.

E dependendo da sua GPU, o Bumblebee se torna uma dor de cabeça sem tamanho, visto q ele nao recebe um update da versao stable ja ha uns 5 anos pelos menos e a versao unstable desde o começo do ano. Na minha opiniao, é usar um Ubuntu, Mint ou Pop!_OS mesmo.

Cara, não sei porque não recebí uma notificação do seu comentário, mas tudo bem.

Bem, vamos à resposta:

O Deepin agora é base Debian, os Chineses fizeram, muito mau em mudar a base deles de Ubuntu para Debian, pois ao meu ver, eles queriam um maior estabilidade, mas em meu uso diário posso dizer que, não foi isso realmente o que aconteceu. Os BUGs continuam e algumas coisas pioraram. Não há mais suporte a um monte de coisa. Para quem não joga é muito bom.
Em questão de drivers NVidia, o Debian mantém o driver 430 em seu backports (Debian Stable) e em seu repositório teste ( o atual buster), mas o pessoal do Deepin somente migraram os pacotes base para o repositório deles, não existe um NVidia mais atual a não ser o que compilei, infelizmente.

Como você precisa de driver o mais atualizado possível e estável o suficiente para poder usar tranquilo, não tem outra forma a não ser migrar para o Ubuntu ou o Mint.

Ou, se quiser testar outros ares, o Fedora ou o Manjaro.
Como eu estou usando a base do backports para a compilação do Driver, não posso mexer ou atualizar o mesmo enquanto o time do Debian não atualizar.
e… cá entre nós… o time Debian demora pacas pra fazer as coisas a fim de manter tudo estável. Neste caso é muito melhor usar um Ubuntu ou derivado dele.